#include <stdio.h>
#include "hash.h"

// sample file
//
// adds a few entries, then displays and deletes them
//
void main (void)
{
	CHashTable<long> table;

	table.addHash (toHash ("Hello World"), 1);
	table.addHash (toHash ("Goodbye World!"), 2);
	table.addHash (toHash ("Chris Wuz Here"), 614);

	long nHash, nValue;

	printf ("# Table Entries: %d\n", table.getCount ());

	table.getHash (&nHash, &nValue);

	do
	{
		printf ("\tHash: %d\n\tValue: %d\n\n", nHash, nValue);
		table.removeHash (nHash);
	} while (table.getHash (&nHash, &nValue));
}
